#include "../Includes/qstdinc.h"
#include "../Includes/qver.h"

static volatile int g_nverlong = 0;
static volatile int g_nvershort = 0;
static char g_verlong[128];
static char g_vershort[128];

#define Q_VER_MAX 1
#define Q_VER_MIN 7
#define Q_VER_BUILD 2255

const char* QGetVersion()
{
	if (g_nverlong == 0)
	{
#ifdef _QARVA_DEMO_BUILD_
		sprintf(g_verlong, "Demo Version: %d.%d build %d (%s)", Q_VER_MAX, Q_VER_MIN, Q_VER_BUILD, __DATE__);
#else
#ifdef _DEBUG
		sprintf(g_verlong, "(DEBUG BUILD) Version: %d.%d build %d (%s)", Q_VER_MAX, Q_VER_MIN, Q_+VER_BUILD, __DATE__);
#else
		sprintf(g_verlong, "Version: %d.%d build %d (%s)", Q_VER_MAX, Q_VER_MIN, Q_VER_BUILD, __DATE__);
#endif
#endif
		g_nverlong = 1;
	}
	return g_verlong;
}

const char* QGetVersionShort()
{
	if (g_nvershort == 0)
	{
		sprintf(g_vershort, "%d.%d.%d", Q_VER_MAX, Q_VER_MIN, Q_VER_BUILD);
		g_nvershort = 1;
	}
	return g_vershort;
}

int QGetVersionMin()
{
	return Q_VER_MIN;
}

int QGetVersionMax()
{
	return Q_VER_MAX;
}

int QGetVersionBuild()
{
	return Q_VER_BUILD;
}
